Version: 2.002
Release: 2%{?dist}
URL: https://github.com/CatharsisFonts/Ysabeau

%global commit 2c5c535585a6ea255849107113c90c722b1b02a4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global foundry           Catharsis Fonts
%global fontlicense       OFL
%global fontlicenses      Ysabeau-%{commit}/OFL.txt
%global fontfamily        Ysabeau
%global fontdocs          Ysabeau-%{commit}/README.md
%global fontconfs         %{SOURCE10}
%global common_description %{expand:
Ysabeau combines the familiar timeless letterforms of the Garamond legacy with the unencumbered crispness of a clean
low-contrast sans serif. Unlike other humanist sans, Ysabeau retains the confident wide stride and unapologetic
extenders of the world's favorite book face for unmitigated reading comfort.

Try it on your e-reader and never look back! Pair it with EB Garamond or Cormorant for a perfect match, or blow it up to
page-filling sizes and revel in its elegance.
}

%global fontfamily0       Ysabeau
%global fontsummary0      Ysabeau is a Unicode sans-serif typeface inspired by Claude Garamont's timeless designs.
%global fonts0            Ysabeau-%{commit}/fonts/ttf/Ysabeau-*.ttf
%global fontconfs0        %{SOURCE10}
%global fontdescription0  %{expand:
%{common_description}
}

%global fontfamily1       Ysabeau Office
%global fontsummary1      Ysabeau Office, a variant that suppress some features to look more classical.
%global fontpkgheader1    %{expand:
Suggests: font(ysabeau)
}
%global fonts1            Ysabeau-%{commit}/fonts/ttf/YsabeauOffice-*.ttf
%global fontconfs1        %{SOURCE12}
%global fontdescription1  %{expand:
%{common_description}

This package contains the Office variant: promotes the OpenType features SS02, LNUM, and TNUM to default.
This suppresses the contextual use of long and superlong Q, turns the slanted hyphens horizontal,
and replaces the old-style figures with tabular lining figures.
}

%global fontfamily2       Ysabeau Infant
%global fontsummary2      Ysabeau Infant, a gentle schoolbook-style variant.
%global fontpkgheader2    %{expand:
Suggests: font(ysabeau)
}
%global fonts2            Ysabeau-%{commit}/fonts/ttf/YsabeauInfant-*.ttf
%global fontconfs2        %{SOURCE11}
%global fontdescription2  %{expand:
%{common_description}

This package contains the Infant variant: promotes SS01, loclBGR, and LNUM to default.
This activates single-storey designs for a and g, a script y, a tailed l, Bulgarian Cyrillic forms, and proportional
lining figures.
}

%global fontfamily3       Ysabeau SC
%global fontsummary3      Ysabeau SC, a small-caps variant.
%global fontpkgheader3    %{expand:
Suggests: font(ysabeau)
}
%global fonts3            Ysabeau-%{commit}/fonts/ttf/YsabeauSC-*.ttf
%global fontconfs3        %{SOURCE13}
%global fontdescription3  %{expand:
%{common_description}

This package contains the SC variant: promotes SMCP to default. This activates smallcaps.
}


Source0:        https://github.com/CatharsisFonts/Ysabeau/archive/%{commit}/ysabeau-%{shortcommit}.tar.gz
Source10:       64-%{fontpkgname0}.conf
Source11:       65-%{fontpkgname1}.conf
Source12:       65-%{fontpkgname2}.conf
Source13:       65-%{fontpkgname3}.conf



%fontpkg -a
%fontmetapkg


%prep
%setup -c

%build
%fontbuild -a

%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
* Mon Jun 03 2024 Olivier Samyn <code@oleastre.be> - 2.002-2
- Fix packaging

* Sun Jun 02 2024 Olivier Samyn <code@oleastre.be> - 2.002-1
- Initial package
